Bug 218501 - Konqueror clears addressbar/locationbar when some charakters are contained
Summary: Konqueror clears addressbar/locationbar when some charakters are contained
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-13 12:58 UTC by qqqqqqqqq9
Modified: 2011-06-16 18:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.6.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description qqqqqqqqq9 2009-12-13 12:58:18 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

Steps to reproduce

1. type www.google,de in the addressbar (note the comma)
2. Hit Enter

Result:
Konqueror shows an error page and the addressbar reads "http:"

Expected result :
Konqueror shows an error page and the addressbar reads "www.google,de"
Comment 1 Dawit Alemayehu 2011-06-16 18:44:40 UTC
Git commit 69de0ca6475e8523c2b7de5bdd2471b68024912a by Dawit Alemayehu.
Committed on 10/06/2011 at 17:05.
Pushed by adawit into branch 'KDE/4.6'.

Show proper error message when a malformed url is entered, e.g. www.kde,org.
Avoid converting a error url into another error url.

BUG: 218501
FIXED-IN: 4.6.5

M  +11   -8    konqueror/src/konqmainwindow.cpp     
M  +6    -2    konqueror/src/konqmisc.cpp     

http://commits.kde.org/kde-baseapps/69de0ca6475e8523c2b7de5bdd2471b68024912a
Comment 2 Dawit Alemayehu 2011-06-16 18:44:51 UTC
Git commit 02edd1c5ad0286006ec2f457ec26697068f14444 by Dawit Alemayehu.
Committed on 10/06/2011 at 17:05.
Pushed by adawit into branch 'master'.

Show proper error message when a malformed url is entered, e.g. www.kde,org.
Avoid converting a error url into another error url.

BUG: 218501
FIXED-IN: 4.6.5

(cherry picked from commit 69de0ca6475e8523c2b7de5bdd2471b68024912a)

M  +11   -8    konqueror/src/konqmainwindow.cpp     
M  +6    -2    konqueror/src/konqmisc.cpp     

http://commits.kde.org/kde-baseapps/02edd1c5ad0286006ec2f457ec26697068f14444